> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Entrances from a Space

> Removes [entrances](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details) from a specific space.



## OpenAPI

````yaml /openapi.json post /spaces/remove_acs_entrances
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /spaces/remove_acs_entrances:
    post:
      tags: []
      summary: Remove Entrances from a Space
      description: >-
        Removes
        [entrances](https://docs.seam.co/low-level-apis/access-systems/retrieving-entrance-details)
        from a specific space.
      operationId: spacesRemoveAcsEntrancesPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_entrance_ids:
                  description: IDs of the entrances that you want to remove from the space.
                  items:
                    format: uuid
                    type: string
                  type: array
                space_id:
                  description: ID of the space from which you want to remove entrances.
                  format: uuid
                  type: string
              required:
                - space_id
                - acs_entrance_ids
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
        - client_session_with_customer: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.spaces.removeAcsEntrances({
              space_id: "674e511a-06c6-4734-b4ce-af467496d5fe",
              acs_entrance_ids: ["fd859a36-199b-4c2f-894a-24d52621f6a4"],
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/spaces/remove_acs_entrances" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "space_id": "674e511a-06c6-4734-b4ce-af467496d5fe",
              "acs_entrance_ids": [
                "fd859a36-199b-4c2f-894a-24d52621f6a4"
              ]
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.spaces.remove_acs_entrances(
                space_id="674e511a-06c6-4734-b4ce-af467496d5fe",
                acs_entrance_ids=["fd859a36-199b-4c2f-894a-24d52621f6a4"],
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.spaces.remove_acs_entrances(
              space_id: "674e511a-06c6-4734-b4ce-af467496d5fe",
              acs_entrance_ids: ["fd859a36-199b-4c2f-894a-24d52621f6a4"],
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->spaces->remove_acs_entrances(
                space_id: "674e511a-06c6-4734-b4ce-af467496d5fe",
                acs_entrance_ids: ["fd859a36-199b-4c2f-894a-24d52621f6a4"],
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam spaces remove-acs-entrances --space_id
            "674e511a-06c6-4734-b4ce-af467496d5fe" --acs_entrance_ids
            ["fd859a36-199b-4c2f-894a-24d52621f6a4"]


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````